VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ZLibInputContentProvider Class Reference
Inheritance diagram for ZLibInputContentProvider:

## Public Member Functions
| ZLibInputContentProvider (InputStream &source)
bool | open ()
uint32_t | readRawData (int8_t *buffer, uint32_t size) override
void | rewind () override
Public Member Functions inherited from IContentProvider
virtual | ~IContentProvider () noexcept=default

## Public Attributes
InputStream & | source
std::unique_ptr< ZLibInputStream > | zin
int64_t | startPos {0}

## Constructor & Destructor Documentation

## ◆ ZLibInputContentProvider()

ZLibInputContentProvider | ( | InputStream & | source | ) |
| inline

## Member Function Documentation

## ◆ open()

bool open | ( |  | ) |
| inline

## ◆ readRawData()

uint32_t readRawData | ( | int8_t * | buffer,
|  | uint32_t | size )
| inline override virtual

Implements IContentProvider.

## ◆ rewind()

void rewind | ( |  | ) |
| inline override virtual

Implements IContentProvider.

## Member Data Documentation

## ◆ source

InputStream& source

## ◆ startPos

int64_t startPos {0}

## ◆ zin

std::unique_ptr<ZLibInputStream> zin

The documentation for this class was generated from the following file:

- compresseduidescription.cpp